# Class AlignmentAttributes

#### Hierarchy (view full)

- XmlAttributeComponent<{
  val: typeof AlignmentType[keyof typeof AlignmentType];
  }>
  - AlignmentAttributes

- Defined in file/paragraph/formatting/alignment.ts:55

#####
Index

### Constructors

constructor

### Methods

prepForXml

##
Constructors

### constructor

- new AlignmentAttributes(root): AlignmentAttributes

- #### Parameters

  - root: {
    val:
    | "center"
    | "left"
    | "right"
    | "start"
    | "end"
    | "both"
    | "mediumKashida"
    | "distribute"
    | "numTab"
    | "highKashida"
    | "lowKashida"
    | "thaiDistribute";
    }

    - ##### `Readonly` val:
      | "center"
      | "left"
      | "right"
      | "start"
      | "end"
      | "both"
      | "mediumKashida"
      | "distribute"
      | "numTab"
      | "highKashida"
      | "lowKashida"
      | "thaiDistribute"

  #### Returns AlignmentAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:13

##
Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:17